// Definitions to help make code portable to Windows version
//
// Copyright 1997 by Capilano Computing Systems Ltd.   All rights reserved.
//
#ifndef _WINDEFS_H
#define _WINDEFS_H



// Types

//#define BOOLEAN Boolean
//#define TRUE true
//#define FALSE false

// ATTRVALUE is used for called to DrwGet/SetObjAttrValue because the value pointer
// is defined as char* on the Mac and void* on Windows

#define ATTRVALUE char*
#define OBJPTR char*

// Macros used for allocate and deallocate memory

#define ALLOCATETYPE(item, typ)		item = CDAllocate(sizeof(typ))
#define ALLOCATESIZE(item, siz)		item = CDAllocate(siz)
#define DEALLOCATE(item)		CDDeallocate(item)
#define CANALLOCATE(siz)		CDCanAllocate(siz)

#define MEM_ALLOCATETYPE(item, typ)	item = CDAllocate(sizeof(typ))
#define MEM_ALLOCATESIZE(item, siz)	item = CDAllocate(siz)
#define MEM_DEALLOCATESIZE(item)	CDDeallocate(item)
#define MEM_DEALLOCATETYPE(item)	CDDeallocate(item)
#define MEM_CANALLOCATE(siz)		CDCanAllocate(siz)


// Drawing MEDA calls

#define DrwScanObjects MEDAScanObjects
#define cDrwRestrictReport cMEDARestrictReport
#define tDrwScanProc tMEDACallbackProc
#define cDrwInclDefs cMEDAInclDefs
#define cDrwClearRefCon cMEDAClearRefCon
#define cDrwExclInsts cMEDAExclInsts
#define cDrwInclPseudoDevs cMEDAInclPseudoDevs
#define cDrwSetDepth cMEDASetDepth
#define DrwGetObjInfoString MEDAGetObjInfoString
#define DrwGetObjInfoShort MEDAGetObjInfoShort
#define DrwGetObjInfoLong MEDAGetObjInfoLong
#define DrwGetObjInfo MEDAGetObjInfo
#define DrwObjInfoTrue MEDAObjInfoTrue
#define DrwSetObjInfo MEDASetObjInfo
#define DrwAttrGetObjValueByName MEDAGetObjAttrValueByName
#define DrwAttrGetObjValueByNum MEDAGetObjAttrValueByNum
#define DrwGetObjPinInfo MEDAGetObjPinInfo
#define DrwGetObjPinInfoString MEDAGetObjPinInfoString
#define DrwDeleteObj MEDADeleteObj
#define DrwSetSigName MEDASetSigName
#define DrwAddSignal MEDAAddSignal
#define DrwLookSigByName MEDALookSigByName
#define DrwAttrSetObjValueByName MEDASetObjAttrValueByName
#define DrwAttrSetObjValueByNum MEDASetObjAttrValueByNum
#define DrwTextSetBlock MEDASetTextBlock
#define DrwSelectObj MEDASelectObj
#define DrwCloseDesign MEDACloseDesign
#define DrwAttrAddFieldDefFromString MEDAAddFieldDefFromString
#define DrwLookDevPinByNum MEDALookDevPinByNum
#define DrwAttrGetFieldNumByName MEDAGetFieldNumByName
#define DrwAttrGetDesignTable MEDAGetDesignTable
#define tDrwScanProc tMEDACallbackProc
#define DrwScanObjects MEDAScanObjects
#define DrwLookDevByToken MEDALookDevByToken


#define StrAssign CDAssign
#define StrBin2Dec CDBin2Dec
#define StrDec2Bin CDDec2Bin
#define StrVerify CDVerify
#define StrEqualStr CDEqualStr
#define StrLength_ CDLength	/* GWH 1/1/95 The ETO#14 mpw uses StrLength, so we use StrLength_ */
#define StrLen CDLength
#define StrPos CDPos
#define StrDelete CDDelete
#define StrInsert CDInsert
#define StrStringError CDStringError
#define StrConcat CDConcat
#define StrSplitName CDSplitName
#define StrAppend CDAppend
#define StrCompare CDCompare

#define gRdSrcNameChars gNameChars

#define LPNT Point

#define COSMICa // pascal
#define COSMICb

// Utilities

#define UtlProgressPercent(current, outOf) ShowProgressPercent(current, outOf, "%")
#define UtlProgressClose CloseProgressBox

#endif  