// ListObj.h

/* March 8/91 - Written by Neil Mackenzie				*/
/* Copyright -1991 Capilano Computing Systems Limited.	*/

#ifndef LISTOBJ_H
#define LISTOBJ_H

#include "Object.h"

//This is the abstract class which all objects that want 
// to use the List class must be derived from

typedef	class TList* 	TListPtr;


class TListObject :  public  TObject
{
	friend class TDerDList;
	protected:
	
		TListObject *next;
		TListObject *prev;

	public:
		

		TListObject(TListObject *n =0, TListObject *p =0) {next = n; prev =p;}
		
		virtual ~TListObject();
		
		// virtual	TListObject* Clone(void);
		
		virtual char *WhoAmI(void);
		
		void operator=(TListObject &) { next = prev = 0; }
		
		
		void Insert(TListObject *);
		void Append(TListObject *);
		void Remove();
		

};

#endif